apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    buildToolsVersion "30.0.1"

    defaultConfig {
        applicationId "id.mdd.implementationpartnerconnect"
        minSdkVersion 22
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation "androidx.preference:preference:1.1.0"
    implementation 'com.google.android.material:material:1.1.0'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    implementation fileTree(include: ['*.aar'], dir: 'libs')
    implementation 'com.squareup.okhttp3:okhttp:3.10.0'
    implementation 'com.squareup.okhttp3:logging-interceptor:3.10.0'
    implementation 'com.squareup.retrofit2:adapter-rxjava2:2.4.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.4.0'

    //retrofit
    implementation 'com.squareup.retrofit2:retrofit:2.5.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.4.0'
    implementation 'com.squareup.okhttp3:logging-interceptor:3.12.1'
    implementation 'com.squareup.retrofit2:converter-scalars:2.3.0'
//    implementation project(path: ':mdd-service-release')
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.10'

    implementation 'com.jakewharton:butterknife:10.2.0'
    implementation 'com.bugfender.sdk:android:3.+'
    annotationProcessor 'com.jakewharton:butterknife-compiler:10.1.0'
//    implementation(group: 'com.mdd.payment', name: 'aar-deviceid-release', version: '2.0.5', ext: 'aar')
//
//    implementation(group: 'com.mdd.service', name: 'partner-connect', version: '2.3.4', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'mybanklibrary-release', version: '3.6.7', ext: 'aar')
//    implementation(group: 'com.mdd.topup', name: 'update-balance', version: '2.8.6', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'z91library-release', version: '2.1.0', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'organicdrv-release', version: '2.1.0', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'wepoylibrary-release', version: '2.2.0', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'paxlibrary-release', version: '2.1.1', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'nativecripto-release', version: '2.0.0', ext: 'aar')
//    implementation(group: 'com.mdd.payment', name: 'isodeplibrary-release', version: '2.1.1', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'aar-deviceid-release', version: '2.0.5', ext: 'aar')
    implementation(group: 'com.mdd.topup', name: 'update-balance', version: '3.1.8', ext: 'aar')
    implementation(group: 'com.mdd.service', name: 'partner-connect', version: '2.5.3', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'mybanklibrary-release', version: '3.7.0', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'z91library-release', version: '2.1.2', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'organicdrv-release', version: '2.1.1', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'wepoylibrary-release', version: '2.2.0', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'paxlibrary-release', version: '2.1.1', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'nativecripto-release', version: '2.0.1', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'isodeplibrary-release', version: '2.1.2', ext: 'aar')
    implementation(group: 'com.mdd.payment', name: 'brizzilib-release', version: '1.1.1', ext: 'aar')
    implementation(group: 'com.mdd.library', name: 'brizzi-release-sbox', version: '1.3', ext: 'aar')
}